﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Write.NET.WebUI.Controllers;
using System.Web.Mvc;

namespace Write.NET.WebUI.Tests.Controllers
{
    [TestClass]
    public class UserControllerTests
    {
        private UserController _userController;

        [TestInitialize]
        public void SetUp()
        {
            _userController = new UserController();
        }

        [TestMethod]
        public void UserController_Exists()
        {
            Assert.IsNotNull(_userController);
        }

        [TestMethod]
        public void UserController_Login()
        {
            var actual = (ViewResult)_userController.Login();
            Assert.IsTrue(actual.ViewName.Equals("Login"));
        }
    }
}
